TEMPFILE(1)

NOME
tempfile - crea un file temporaneo in maniera sicura

SINTASSI
tempfile [-d DIR] [-p STRINGA] [-s STRINGA] [-m MODALITÀ] [-n FILE] [--directory=DIR] [--prefix=STRINGA] [--suffix=STRINGA] [--mode=MODALITÀ] [--name=FILE] [--help] [--version]

DESCRIZIONE
tempfile crea un file temporaneo in maniera sicura. Usa mkstemps(3) per scegliere il nome e lo apre con O_RDWR | O_CREAT | O_EXCL. Il nome di file viene stampato sullo standard output.

La directory in cui creare il file può essere ricercata in questo ordine:

a)  Se la variabile d'ambiente TMPDIR esiste e contiene il nome di una directory appropriata, viene usata tale directory.

b)  Altrimenti, se viene specificato un appropriato argomento --directory, viene usato tale argomento.

c)  Altimenti, viene usata P_tmpdir (come definita in <stdio.h>) quando è appropriata.

d)  Finally an implementation-defined directory (/tmp) may be used.

OPZIONI

-d, --directory DIR
    Posiziona il file in DIR.

-m, --mode MODALITÀ
    Apre il file con MODALITÀ invece di 0600.

-n, --name FILE
    Usa FILE come nome invece di tempnam(3). Se viene specificata questa opzione le opzioni -d, -p e -s vengono ignorate.

-p, --prefix STRINGA
    Usa fino a cinque lettere di STRINGA per generare il nome.

-s, --suffix STRINGA
    Genera il file con STRINGA come suffisso.

--help
    Stampa un messaggio sull'uso sullo standard output e termina con successo.

--version
    Stampa informazioni sulla versione sullo standard output e termina con successo.

VALORI RESTITUITI
Uno stato di uscita 0 significa che il file temporaneo è stato creato con successo. Qualsiasi altro stato di uscita indica un errore.

BUG
Exclusive creation is not guaranteed when creating files on NFS partitions. tempfile cannot make temporary directories. tempfile is deprecated; you should use mktemp(1) instead.

ESEMPIO
#!/bin/sh
#[...]
t=$(tempfile) || exit
trap "rm -f -- '$t'" EXIT
#[...]
rm -f -- "$t"
trap - EXIT
exit

VEDERE ANCHE
tempnam(3), mktemp(1)